apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: "True"
  creationTimestamp: "2024-07-14T14:44:43Z"
  generation: 1
  name: plan1-vm1-3disks
  namespace: openshift-mtv
  resourceVersion: "603164308"
  uid: 89160b85-1c14-46ea-a3d8-5b0cf14a7a0a
spec:
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: vcenter-703-1-7l97g
      namespace: openshift-mtv
      uid: 045de1a6-a8cd-4322-87e6-de35cafd3188
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: vcenter-703-1-w89p8
      namespace: openshift-mtv
      uid: 1fe0eb35-649c-4ad0-a704-31278eff83ae
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: d8010876-1bbc-49f4-8431-dd414f5e4fa9
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: vcenter-703-1
      namespace: openshift-mtv
      uid: 4022ee71-98c4-4798-9934-db39bd00e8d6
  targetNamespace: mtv26-multidisks
  vms:
  - id: vm-7370
    name: rhel79-50gb-70usage-3disks-vm1
status:
  conditions:
  - category: Required
    lastTransitionTime: "2024-07-14T14:53:36Z"
    message: The migration plan is ready.
    status: "True"
    type: Ready
  - category: Advisory
    durable: true
    lastTransitionTime: "2024-07-14T15:11:04Z"
    message: The plan execution has SUCCEEDED.
    status: "True"
    type: Succeeded
  migration:
    completed: "2024-07-14T15:11:04Z"
    history:
    - conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2024-07-14T15:11:04Z"
        message: The plan execution has SUCCEEDED.
        status: "True"
        type: Succeeded
      map:
        network:
          generation: 1
          name: vcenter-703-1-7l97g
          namespace: openshift-mtv
          uid: 045de1a6-a8cd-4322-87e6-de35cafd3188
        storage:
          generation: 1
          name: vcenter-703-1-w89p8
          namespace: openshift-mtv
          uid: 1fe0eb35-649c-4ad0-a704-31278eff83ae
      migration:
        generation: 1
        name: plan1-vm1-3disks-8sspl
        namespace: openshift-mtv
        uid: 3d497692-869e-4bc2-b85d-7606622a241d
      plan:
        generation: 1
        name: plan1-vm1-3disks
        namespace: openshift-mtv
        uid: 89160b85-1c14-46ea-a3d8-5b0cf14a7a0a
      provider:
        destination:
          generation: 1
          name: host
          namespace: openshift-mtv
          uid: d8010876-1bbc-49f4-8431-dd414f5e4fa9
        source:
          generation: 1
          name: vcenter-703-1
          namespace: openshift-mtv
          uid: 4022ee71-98c4-4798-9934-db39bd00e8d6
    started: "2024-07-14T14:54:32Z"
    vms:
    - completed: "2024-07-14T15:11:04Z"
      conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2024-07-14T15:11:04Z"
        message: The VM migration has SUCCEEDED.
        status: "True"
        type: Succeeded
      id: vm-7370
      luks: {}
      name: rhel79-50gb-70usage-3disks-vm1
      operatingSystem: rhel7_64Guest
      phase: Completed
      pipeline:
      - completed: "2024-07-14T14:54:45Z"
        description: Initialize migration.
        name: Initialize
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2024-07-14T14:54:32Z"
      - annotations:
          unit: MB
        completed: "2024-07-14T14:55:13Z"
        description: Allocate disks.
        name: DiskAllocation
        phase: Completed
        progress:
          completed: 153600
          total: 153600
        started: "2024-07-14T14:54:48Z"
        tasks:
        - annotations:
            unit: MB
          completed: "2024-07-14T14:55:01Z"
          name: '[v2v_general_porpuse_FC_DC] rhel79-50gb-70usage-3disks-vm1/rhel79-50gb-70usage-3disks-vm1_3.vmdk'
          phase: Completed
          progress:
            completed: 51200
            total: 51200
          reason: Transfer completed.
          started: "2024-07-14T14:55:01Z"
        - annotations:
            unit: MB
          completed: "2024-07-14T14:55:13Z"
          name: '[v2v_general_porpuse_FC_DC] rhel79-50gb-70usage-3disks-vm1/rhel79-50gb-70usage-3disks-vm1.vmdk'
          phase: Completed
          progress:
            completed: 51200
            total: 51200
          reason: Transfer completed.
          started: "2024-07-14T14:55:10Z"
        - annotations:
            unit: MB
          completed: "2024-07-14T14:55:04Z"
          name: '[v2v_general_porpuse_FC_DC] rhel79-50gb-70usage-3disks-vm1/rhel79-50gb-70usage-3disks-vm1_1.vmdk'
          phase: Completed
          progress:
            completed: 51200
            total: 51200
          reason: Transfer completed.
          started: "2024-07-14T14:55:01Z"
      - completed: "2024-07-14T14:56:38Z"
        description: Convert image to kubevirt.
        name: ImageConversion
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2024-07-14T14:55:16Z"
      - annotations:
          unit: MB
        completed: "2024-07-14T15:11:00Z"
        description: Copy disks.
        name: DiskTransferV2v
        phase: Completed
        progress:
          completed: 153600
          total: 153600
        started: "2024-07-14T14:56:41Z"
        tasks:
        - annotations:
            unit: MB
          name: '[v2v_general_porpuse_FC_DC] rhel79-50gb-70usage-3disks-vm1/rhel79-50gb-70usage-3disks-vm1_3.vmdk'
          progress:
            completed: 51200
            total: 51200
        - annotations:
            unit: MB
          name: '[v2v_general_porpuse_FC_DC] rhel79-50gb-70usage-3disks-vm1/rhel79-50gb-70usage-3disks-vm1.vmdk'
          progress:
            completed: 51200
            total: 51200
        - annotations:
            unit: MB
          name: '[v2v_general_porpuse_FC_DC] rhel79-50gb-70usage-3disks-vm1/rhel79-50gb-70usage-3disks-vm1_1.vmdk'
          progress:
            completed: 51200
            total: 51200
      - completed: "2024-07-14T15:11:04Z"
        description: Create VM.
        name: VirtualMachineCreation
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2024-07-14T15:11:03Z"
      restorePowerState: "Off"
      started: "2024-07-14T14:54:32Z"
  observedGeneration: 1
